Bug 692714 - I'd like to move /etc/tmpfiles.d/lockdev.conf into systemd upstream
Summary: I'd like to move /etc/tmpfiles.d/lockdev.conf into systemd upstream
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lockdev   
(Show other bugs)
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-31 22:11 UTC by Lennart Poettering
Modified: 2011-04-22 02:20 UTC (History)
2 users (show)

Fixed In Version: lockdev-1.0.3-10.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-22 02:20:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lennart Poettering 2011-03-31 22:11:39 UTC
Heya,

currently the lockdev package includes /etc/tmpfiles.d/lockdev.conf, which ensures that /var/lock/lockdev is properly created. I'd like to move this into the upstream systemd package, so that this trickles down into the other distributions too, so that we can standardize things a bit more and everybody uses the same directories with the same permissions. From all the ways the various distributions have set up /var/lock and subdirectories the Fedora way seems the most reasonable and the folks from the other distros appear to agree, so we should go for it and make it official and gently push everybody who uses systemd to adopt this too.

I am assuming you are OK with this, hence I'll include the line for /var/lock/lockdev in the upload of systemd I am currently preparing for F15. I hope that's fine with you. All that's missing would be that you just drop the file from the lockdev rpm.

Hope that sounds good to you?

I also filed this:

http://bugs.freestandards.org/show_bug.cgi?id=719

If the FHS ever comes to life again, I'd like to see this standardized.

Comment 1 Fedora Update System 2011-04-05 12:49:10 UTC
lockdev-1.0.3-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lockdev-1.0.3-10.fc15

Comment 2 Fedora Update System 2011-04-05 20:25:21 UTC
Package lockdev-1.0.3-10.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lockdev-1.0.3-10.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lockdev-1.0.3-10.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-04-22 02:20:46 UTC
lockdev-1.0.3-10.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.